### Function

# GLib List delete_link

#### Declaration [src]

    GList*
    g_list_delete_link (
      GList* list,
      GList* link_
    )

#### Description [src]

Removes the node link_ from the list and frees it. Compare this to `g_list_remove_link()` which removes the node without freeing it.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GList`, this must point to the top of the list.

  The data is owned by the caller of the function.

`link_`

  Type: A list of `gpointer`

  Node to delete from `list`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The (possibly changed) start of the `GList`.

The data is owned by the called function.